<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:21:03 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp Class Hierarchy (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp Class Hierarchy (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage.Literals</span></a></li>
<li type="circle">org.eclipse.emf.common.notify.Notifier
<ul>
<li type="circle">org.eclipse.emf.ecore.EObject
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Array</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Const</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ConstInit</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">CppInit</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">CppRoot</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EModelElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">External</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ExternLibrary</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Friend</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Include</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Inline</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ManualGeneration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Mutable</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">NoCodeGen</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Ptr</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Ref</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">StorageClass</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Template</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">TemplateBinding</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">TemplateParameter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Typedef</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Union</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Variadic</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Virtual</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Visibility</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Volatile</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="http://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EStorageClass.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">EStorageClass</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EAccessKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">EAccessKind</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/VisibilityKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">VisibilityKind</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
